SqliteDatabaseConnector::SqliteDatabaseConnectorException Class Reference

`#include <sqliteDatabaseConnector.h>`

Inheritance diagram for SqliteDatabaseConnector::SqliteDatabaseConnectorException:
Collaboration diagram for SqliteDatabaseConnector::SqliteDatabaseConnectorException:

## Public Member Functions

| SqliteDatabaseConnectorException (presage_error_code_t code, const std::string &errormsg) throw ()
virtual | ~SqliteDatabaseConnectorException () throw ()
Public Member Functions inherited from PresageException
| PresageException (presage_error_code_t code, const std::string &msg) throw ()
virtual | ~PresageException () throw ()
virtual const char * | what () const throw ()
virtual const presage_error_code_t | code () const throw ()

## Private Member Functions

| SqliteDatabaseConnectorException () throw ()

## Detailed Description

Definition at line 58 of file sqliteDatabaseConnector.h.

## Constructor & Destructor Documentation

## SqliteDatabaseConnectorException() [1/2]

SqliteDatabaseConnector::SqliteDatabaseConnectorException::SqliteDatabaseConnectorException | ( | presage_error_code_t | code,
|  | const std::string & | errormsg )
throw | ( | ) |  |  |

inline

Definition at line 60 of file sqliteDatabaseConnector.h.

References PresageException::code().

Here is the call graph for this function:

## ~SqliteDatabaseConnectorException()

virtual SqliteDatabaseConnector::SqliteDatabaseConnectorException::~SqliteDatabaseConnectorException | ( |  | ) |
throw | ( | ) |  |  |

inline virtual

Definition at line 61 of file sqliteDatabaseConnector.h.

## SqliteDatabaseConnectorException() [2/2]

SqliteDatabaseConnector::SqliteDatabaseConnectorException::SqliteDatabaseConnectorException | ( |  | ) |
throw | ( | ) |  |  |

inline private

Definition at line 64 of file sqliteDatabaseConnector.h.

References PRESAGE_ERROR, and PresageException::PresageException().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- /build/presage-XwIsB9/presage-0.9.1/src/lib/predictors/dbconnector/sqliteDatabaseConnector.h